summaryrefslogtreecommitdiff
path: root/debian/boxbackup-client.init
diff options
context:
space:
mode:
authorReinhard Tartler <siretart@tauware.de>2008-01-19 15:05:28 +0100
committerReinhard Tartler <siretart@tauware.de>2008-01-19 15:05:28 +0100
commit1d56581c644c53f1b9a182c6574bc2fc5243d4d1 (patch)
tree7f75e499dd2c98eee7d4ba919aad8783063ef541 /debian/boxbackup-client.init
parentaa2943800f9c00823720af98da036813ebf5cd2c (diff)
Import of boxbackup 0.10
This is actually a quite funny commit: I had started my packaging branch in a strange way: I did not start from a clean tarball, but used an existing packaging directory as starting place. This makes upgrading to a new upstream hard. So I branched revision 1, and 'bzr import'ed the Upstream tarball of version 0.10 over it. The upstream tarball version I used for this commit has the md5sum: 2dc02d87932fdb222ed019443ddcf444
Diffstat (limited to 'debian/boxbackup-client.init')
-rw-r--r--debian/boxbackup-client.init69
1 files changed, 0 insertions, 69 deletions
diff --git a/debian/boxbackup-client.init b/debian/boxbackup-client.init
deleted file mode 100644
index 905873fc..00000000
--- a/debian/boxbackup-client.init
+++ /dev/null
@@ -1,69 +0,0 @@
-#! /bin/sh
-#
-### BEGIN INIT INFO
-# Provides: boxbackup-server
-# Required-Start: $syslog $local_fs $network
-# Required-Stop: $syslog $local_fs $network
-# Default-Start: 2 3 4 5
-# Default-Stop: S 0 1 6
-# Short-Description: boxbackup client
-# Description: Init script to start and stop the boxbackup client
-### END INIT INFO
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/bbackupd
-NAME=bbackupd
-DESC=boxbackup-client
-CONF=/etc/boxbackup/bbackupd.conf
-
-test -f $DAEMON || exit 0
-
-test -f $CONF || exit 0
-
-PIDFILE=`grep 'PidFile' $CONF | sed 's/[[:space:]]*PidFile[[:space:]]*=[[:space:]]*\(\/[A-Za-z0-9/]*\)/\1/'`
-CERTFILE=`grep 'CertificateFile' $CONF | sed 's/[[:space:]]*CertificateFile[[:space:]]*=[[:space:]]*\(\/[A-Za-z0-9/]*\)/\1/'`
-ACCNUM=`grep 'AccountNumber' $CONF | sed 's/[[:space:]]*AccountNumber[[:space:]]*=[[:space:]]*\([A-Za-z0-9/]*\)/\1/'`
-
-[ -z $PIDFILE ] && PIDFILE="/var/run/bbackupd.pid"
-
-# Don't start if certificate file or account number are not present
-[ ! -e $CERTFILE -o -z $ACCNUM ] && exit 0
-
-set -e
-
-case "$1" in
- start)
- echo -n "Starting $DESC: "
- start-stop-daemon --start --quiet --pidfile $PIDFILE \
- --exec $DAEMON -- $CONF
- echo "$NAME."
- ;;
- stop)
- echo -n "Stopping $DESC: "
- start-stop-daemon --oknodo --retry 5 --stop --quiet --pidfile $PIDFILE \
- --exec $DAEMON
- echo "$NAME."
- ;;
- reload|force-reload)
- echo "Reloading $DESC configuration files."
- start-stop-daemon --stop --signal 1 --quiet --pidfile \
- $PIDFILE --exec $DAEMON -- $CONF
- ;;
- restart)
- echo -n "Restarting $DESC: "
- start-stop-daemon --oknodo --retry 5 --stop --quiet --pidfile \
- $PIDFILE --exec $DAEMON
- sleep 1
- start-stop-daemon --start --quiet --pidfile \
- $PIDFILE --exec $DAEMON -- $CONF
- echo "$NAME."
- ;;
- *)
- N=/etc/init.d/$NAME
- echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
- #echo "Usage: $N {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0